export interface ExamOverviewResult {
  //实时审核任务
  verifyTask: {
    todoCount: number;
  };
  //图片审核
  imageCheckTask: {
    //抽查比例
    checkRatio: number;
    finishCount: number;
    //全部未处理数量
    todoCount: number;
  };
  //人工绑定审核
  assignedCheck: {
    todoCount: number;
  };
}

export interface IntimeAuditBatchStudentPaper {
  number: number;
  // 是否本张为人工绑定
  assigned: boolean;
  // 数组为空表示缺纸
  pages: string[];
}

export interface IntimeAuditBatchStudent {
  examNumber: string;
  name: string;
  studentCode: string;
  subjectCode: string;
  subjectName: string;
  seatNumber: string;
  papers: IntimeAuditBatchStudentPaper[];
}
export interface IntimeAuditBatchResult {
  // 批次ID
  batchId: number;
  device: string;
  createTime: number;
  // 实时审核批次此字段有值
  packageCode: string;
  students: IntimeAuditBatchStudent[];
}
